// This file is generated by kconfig_compiler from amarokconfig.kcfg.
// All changes you do to this file will be lost.
#ifndef AMAROKCONFIG_H
#define AMAROKCONFIG_H

#include <amarok_export.h>

#include <kconfigskeleton.h>
#include <kdebug.h>

#include <qdir.h>
class AMAROK_EXPORT AmarokConfig : public KConfigSkeleton
{
  public:
    class EnumFavorTracks
    {
      public:
      enum type { Off, HigherScores, HigherRatings, LessRecentlyPlayed, COUNT };
    };
    class EnumTrackProgression
    {
      public:
      enum type { Normal, OnlyQueue, RepeatTrack, RepeatAlbum, RepeatPlaylist, RandomTrack, RandomAlbum, COUNT };
    };
    class EnumReplayGainMode
    {
      public:
      enum type { Off, Track, Album, COUNT };
    };
    class EnumOsdAlignment
    {
      public:
      enum type { Left, Middle, Center, Right, COUNT };
    };

    static AmarokConfig *self();
    ~AmarokConfig();

    /**
      Set Whether to display a second, left time label.
    */
    static
    void setLeftTimeDisplayEnabled( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "LeftTimeDisplayEnabled" ) ))
        self()->mLeftTimeDisplayEnabled = v;
    }

    /**
      Get Whether to display a second, left time label.
    */
    static
    bool leftTimeDisplayEnabled()
    {
      return self()->mLeftTimeDisplayEnabled;
    }

    /**
      Set Whether to display remaining track time in the left time label.
    */
    static
    void setLeftTimeDisplayRemaining( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "LeftTimeDisplayRemaining" ) ))
        self()->mLeftTimeDisplayRemaining = v;
    }

    /**
      Get Whether to display remaining track time in the left time label.
    */
    static
    bool leftTimeDisplayRemaining()
    {
      return self()->mLeftTimeDisplayRemaining;
    }

    /**
      Set Which tracks or albums to favor in Random Mode
    */
    static
    void setFavorTracks( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "FavorTracks" ) ))
        self()->mFavorTracks = v;
    }

    /**
      Get Which tracks or albums to favor in Random Mode
    */
    static
    int favorTracks()
    {
      return self()->mFavorTracks;
    }

    /**
      Set How to progress through tracks in the playlist
    */
    static
    void setTrackProgression( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "TrackProgression" ) ))
        self()->mTrackProgression = v;
    }

    /**
      Get How to progress through tracks in the playlist
    */
    static
    int trackProgression()
    {
      return self()->mTrackProgression;
    }

    /**
      Set The status of dynamic mode.
    */
    static
    void setDynamicMode( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "DynamicMode" ) ))
        self()->mDynamicMode = v;
    }

    /**
      Get The status of dynamic mode.
    */
    static
    bool dynamicMode()
    {
      return self()->mDynamicMode;
    }

    /**
      Set Duplicate tracks in dynamic mode.
    */
    static
    void setDynamicDuplicates( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "DynamicDuplicates" ) ))
        self()->mDynamicDuplicates = v;
    }

    /**
      Get Duplicate tracks in dynamic mode.
    */
    static
    bool dynamicDuplicates()
    {
      return self()->mDynamicDuplicates;
    }

    /**
      Set Previous tracks count.
    */
    static
    void setPreviousTracks( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "PreviousTracks" ) ))
        self()->mPreviousTracks = v;
    }

    /**
      Get Previous tracks count.
    */
    static
    int previousTracks()
    {
      return self()->mPreviousTracks;
    }

    /**
      Set Upcoming tracks count.
    */
    static
    void setUpcomingTracks( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "UpcomingTracks" ) ))
        self()->mUpcomingTracks = v;
    }

    /**
      Get Upcoming tracks count.
    */
    static
    int upcomingTracks()
    {
      return self()->mUpcomingTracks;
    }

    /**
      Set Whether to show icon in system tray
    */
    static
    void setShowTrayIcon( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ShowTrayIcon" ) ))
        self()->mShowTrayIcon = v;
    }

    /**
      Get Whether to show icon in system tray
    */
    static
    bool showTrayIcon()
    {
      return self()->mShowTrayIcon;
    }

    /**
      Set Whether to hide the context view.
    */
    static
    void setHideContextView( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "HideContextView" ) ))
        self()->mHideContextView = v;
    }

    /**
      Get Whether to hide the context view.
    */
    static
    bool hideContextView()
    {
      return self()->mHideContextView;
    }

    /**
      Set Whether to animate the systray icon
    */
    static
    void setAnimateTrayIcon( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "AnimateTrayIcon" ) ))
        self()->mAnimateTrayIcon = v;
    }

    /**
      Get Whether to animate the systray icon
    */
    static
    bool animateTrayIcon()
    {
      return self()->mAnimateTrayIcon;
    }

    /**
      Set Delay between tracks, in milliseconds
    */
    static
    void setTrackDelayLength( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "TrackDelayLength" ) ))
        self()->mTrackDelayLength = v;
    }

    /**
      Get Delay between tracks, in milliseconds
    */
    static
    int trackDelayLength()
    {
      return self()->mTrackDelayLength;
    }

    /**
      Set Number of undo levels in playlist
    */
    static
    void setUndoLevels( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "UndoLevels" ) ))
        self()->mUndoLevels = v;
    }

    /**
      Get Number of undo levels in playlist
    */
    static
    int undoLevels()
    {
      return self()->mUndoLevels;
    }

    /**
      Set Whether a splash-screen should be displayed on startup
    */
    static
    void setShowSplashScreen( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ShowSplashScreen" ) ))
        self()->mShowSplashScreen = v;
    }

    /**
      Get Whether a splash-screen should be displayed on startup
    */
    static
    bool showSplashScreen()
    {
      return self()->mShowSplashScreen;
    }

    /**
      Set Whether playlists store relative path
    */
    static
    void setRelativePlaylist( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "RelativePlaylist" ) ))
        self()->mRelativePlaylist = v;
    }

    /**
      Get Whether playlists store relative path
    */
    static
    bool relativePlaylist()
    {
      return self()->mRelativePlaylist;
    }

    /**
      Set Filename of the external web browser to be invoked by Amarok.
    */
    static
    void setExternalBrowser( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ExternalBrowser" ) ))
        self()->mExternalBrowser = v;
    }

    /**
      Get Filename of the external web browser to be invoked by Amarok.
    */
    static
    QString externalBrowser()
    {
      return self()->mExternalBrowser;
    }

    /**
      Set Whether to automatically attempt to fetch cover art as needed
    */
    static
    void setAutoGetCoverArt( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "AutoGetCoverArt" ) ))
        self()->mAutoGetCoverArt = v;
    }

    /**
      Get Whether to automatically attempt to fetch cover art as needed
    */
    static
    bool autoGetCoverArt()
    {
      return self()->mAutoGetCoverArt;
    }

    /**
      Set Whether to show background images in the browser pane
    */
    static
    void setShowBrowserBackgroundImage( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ShowBrowserBackgroundImage" ) ))
        self()->mShowBrowserBackgroundImage = v;
    }

    /**
      Get Whether to show background images in the browser pane
    */
    static
    bool showBrowserBackgroundImage()
    {
      return self()->mShowBrowserBackgroundImage;
    }

    /**
      Set Automatically scroll the playlist to make the currently playing song visible
    */
    static
    void setAutoScrollPlaylist( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "AutoScrollPlaylist" ) ))
        self()->mAutoScrollPlaylist = v;
    }

    /**
      Get Automatically scroll the playlist to make the currently playing song visible
    */
    static
    bool autoScrollPlaylist()
    {
      return self()->mAutoScrollPlaylist;
    }

    /**
      Set Show Album art in the Collection Browser
    */
    static
    void setShowAlbumArt( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ShowAlbumArt" ) ))
        self()->mShowAlbumArt = v;
    }

    /**
      Get Show Album art in the Collection Browser
    */
    static
    bool showAlbumArt()
    {
      return self()->mShowAlbumArt;
    }

    /**
      Set Show the Context View
    */
    static
    void setLockLayout( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "LockLayout" ) ))
        self()->mLockLayout = v;
    }

    /**
      Get Show the Context View
    */
    static
    bool lockLayout()
    {
      return self()->mLockLayout;
    }

    /**
      Set Play the first run jingle
    */
    static
    void setPlayFirstRunJingle( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "PlayFirstRunJingle" ) ))
        self()->mPlayFirstRunJingle = v;
    }

    /**
      Get Play the first run jingle
    */
    static
    bool playFirstRunJingle()
    {
      return self()->mPlayFirstRunJingle;
    }

    /**
      Set Enable context applets collapse animations
    */
    static
    void setAnimateAppletCollapse( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "AnimateAppletCollapse" ) ))
        self()->mAnimateAppletCollapse = v;
    }

    /**
      Get Enable context applets collapse animations
    */
    static
    bool animateAppletCollapse()
    {
      return self()->mAnimateAppletCollapse;
    }

    /**
      Set Whether organize files will overwrite existing files.
    */
    static
    void setOverwriteFiles( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "OverwriteFiles" ) ))
        self()->mOverwriteFiles = v;
    }

    /**
      Get Whether organize files will overwrite existing files.
    */
    static
    bool overwriteFiles()
    {
      return self()->mOverwriteFiles;
    }

    /**
      Set Whether organize files will group directories according to their filetype.
    */
    static
    void setGroupByFiletype( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "GroupByFiletype" ) ))
        self()->mGroupByFiletype = v;
    }

    /**
      Get Whether organize files will group directories according to their filetype.
    */
    static
    bool groupByFiletype()
    {
      return self()->mGroupByFiletype;
    }

    /**
      Set Whether organize files will group artists whose names start with the same character.
    */
    static
    void setGroupArtists( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "GroupArtists" ) ))
        self()->mGroupArtists = v;
    }

    /**
      Get Whether organize files will group artists whose names start with the same character.
    */
    static
    bool groupArtists()
    {
      return self()->mGroupArtists;
    }

    /**
      Set Whether organize files will ignore The in artist names.
    */
    static
    void setIgnoreThe( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "IgnoreThe" ) ))
        self()->mIgnoreThe = v;
    }

    /**
      Get Whether organize files will ignore The in artist names.
    */
    static
    bool ignoreThe()
    {
      return self()->mIgnoreThe;
    }

    /**
      Set Whether organize files will replace spaces in filenames with underscores.
    */
    static
    void setReplaceSpace( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ReplaceSpace" ) ))
        self()->mReplaceSpace = v;
    }

    /**
      Get Whether organize files will replace spaces in filenames with underscores.
    */
    static
    bool replaceSpace()
    {
      return self()->mReplaceSpace;
    }

    /**
      Set Whether organize files will use cover art as folder icons.
    */
    static
    void setCoverIcons( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "CoverIcons" ) ))
        self()->mCoverIcons = v;
    }

    /**
      Get Whether organize files will use cover art as folder icons.
    */
    static
    bool coverIcons()
    {
      return self()->mCoverIcons;
    }

    /**
      Set Collection folder path destination for Organize files.
    */
    static
    void setOrganizeDirectory( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "OrganizeDirectory" ) ))
        self()->mOrganizeDirectory = v;
    }

    /**
      Get Collection folder path destination for Organize files.
    */
    static
    QString organizeDirectory()
    {
      return self()->mOrganizeDirectory;
    }

    /**
      Set Whether organize files will rename files in a manner compatible with vfat filesystems.
    */
    static
    void setVfatCompatible( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "VfatCompatible" ) ))
        self()->mVfatCompatible = v;
    }

    /**
      Get Whether organize files will rename files in a manner compatible with vfat filesystems.
    */
    static
    bool vfatCompatible()
    {
      return self()->mVfatCompatible;
    }

    /**
      Set Whether organize files will rename files such that they only contain 7-bit ASCII characters.
    */
    static
    void setAsciiOnly( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "AsciiOnly" ) ))
        self()->mAsciiOnly = v;
    }

    /**
      Get Whether organize files will rename files such that they only contain 7-bit ASCII characters.
    */
    static
    bool asciiOnly()
    {
      return self()->mAsciiOnly;
    }

    /**
      Set Whether organize files will use a custom file naming scheme.
    */
    static
    void setUseCustomScheme( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "UseCustomScheme" ) ))
        self()->mUseCustomScheme = v;
    }

    /**
      Get Whether organize files will use a custom file naming scheme.
    */
    static
    bool useCustomScheme()
    {
      return self()->mUseCustomScheme;
    }

    /**
      Set Format string for Organize files, if a custom naming scheme is used.
    */
    static
    void setCustomScheme( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "CustomScheme" ) ))
        self()->mCustomScheme = v;
    }

    /**
      Get Format string for Organize files, if a custom naming scheme is used.
    */
    static
    QString customScheme()
    {
      return self()->mCustomScheme;
    }

    /**
      Set Regular expression that is to be replaced.
    */
    static
    void setReplacementRegexp( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ReplacementRegexp" ) ))
        self()->mReplacementRegexp = v;
    }

    /**
      Get Regular expression that is to be replaced.
    */
    static
    QString replacementRegexp()
    {
      return self()->mReplacementRegexp;
    }

    /**
      Set Replacing string.
    */
    static
    void setReplacementString( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ReplacementString" ) ))
        self()->mReplacementString = v;
    }

    /**
      Get Replacing string.
    */
    static
    QString replacementString()
    {
      return self()->mReplacementString;
    }

    /**
      Set Basic or Advanced Mode
    */
    static
    void setMode( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "Mode" ) ))
        self()->mMode = v;
    }

    /**
      Get Basic or Advanced Mode
    */
    static
    QString mode()
    {
      return self()->mMode;
    }

    /**
      Set Format Presets
    */
    static
    void setFormatPresets( const QStringList & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "FormatPresets" ) ))
        self()->mFormatPresets = v;
    }

    /**
      Get Format Presets
    */
    static
    QStringList formatPresets()
    {
      return self()->mFormatPresets;
    }

    /**
      Set Master volume
    */
    static
    void setMasterVolume( int v )
    {
      if (v < 0)
      {
        kDebug() << "setMasterVolume: value " << v << " is less than the minimum value of 0";
        v = 0;
      }

      if (v > 100)
      {
        kDebug() << "setMasterVolume: value " << v << " is greater than the maximum value of 100";
        v = 100;
      }

      if (!self()->isImmutable( QString::fromLatin1( "MasterVolume" ) ))
        self()->mMasterVolume = v;
    }

    /**
      Get Master volume
    */
    static
    int masterVolume()
    {
      return self()->mMasterVolume;
    }

    /**
      Set Mute state
    */
    static
    void setMuteState( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "MuteState" ) ))
        self()->mMuteState = v;
    }

    /**
      Get Mute state
    */
    static
    bool muteState()
    {
      return self()->mMuteState;
    }

    /**
      Set Whether to crossfade between tracks
    */
    static
    void setCrossfade( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "Crossfade" ) ))
        self()->mCrossfade = v;
    }

    /**
      Get Whether to crossfade between tracks
    */
    static
    bool crossfade()
    {
      return self()->mCrossfade;
    }

    /**
      Set Length of crossfade, in milliseconds
    */
    static
    void setCrossfadeLength( int v )
    {
      if (v < 400)
      {
        kDebug() << "setCrossfadeLength: value " << v << " is less than the minimum value of 400";
        v = 400;
      }
      if (!self()->isImmutable( QString::fromLatin1( "CrossfadeLength" ) ))
        self()->mCrossfadeLength = v;
    }

    /**
      Get Length of crossfade, in milliseconds
    */
    static
    int crossfadeLength()
    {
      return self()->mCrossfadeLength;
    }

    /**
      Set When to Crossfade
    */
    static
    void setCrossfadeType( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "CrossfadeType" ) ))
        self()->mCrossfadeType = v;
    }

    /**
      Get When to Crossfade
    */
    static
    int crossfadeType()
    {
      return self()->mCrossfadeType;
    }

    /**
      Set Whether to fade out tracks when pressing stop.
    */
    static
    void setFadeout( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "Fadeout" ) ))
        self()->mFadeout = v;
    }

    /**
      Get Whether to fade out tracks when pressing stop.
    */
    static
    bool fadeout()
    {
      return self()->mFadeout;
    }

    /**
      Set Length of fadeout, in milliseconds
    */
    static
    void setFadeoutLength( int v )
    {
      if (v < 400)
      {
        kDebug() << "setFadeoutLength: value " << v << " is less than the minimum value of 400";
        v = 400;
      }
      if (!self()->isImmutable( QString::fromLatin1( "FadeoutLength" ) ))
        self()->mFadeoutLength = v;
    }

    /**
      Get Length of fadeout, in milliseconds
    */
    static
    int fadeoutLength()
    {
      return self()->mFadeoutLength;
    }

    /**
      Set Whether to fade out when exiting the program.
    */
    static
    void setFadeoutOnExit( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "FadeoutOnExit" ) ))
        self()->mFadeoutOnExit = v;
    }

    /**
      Get Whether to fade out when exiting the program.
    */
    static
    bool fadeoutOnExit()
    {
      return self()->mFadeoutOnExit;
    }

    /**
      Set Equalizer mode - 0 = off, 1 to n = preset no
    */
    static
    void setEqualizerMode( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "EqualizerMode" ) ))
        self()->mEqualizerMode = v;
    }

    /**
      Get Equalizer mode - 0 = off, 1 to n = preset no
    */
    static
    int equalizerMode()
    {
      return self()->mEqualizerMode;
    }

    /**
      Set 11 Equalizer gains include pre-amp, range -100..100, 0 is normal.
    */
    static
    void setEqualizerGains( const QList<int> & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "EqualizerGains" ) ))
        self()->mEqualizerGains = v;
    }

    /**
      Get 11 Equalizer gains include pre-amp, range -100..100, 0 is normal.
    */
    static
    QList<int> equalizerGains()
    {
      return self()->mEqualizerGains;
    }

    /**
      Set List with user equalizer preset names
    */
    static
    void setEqualizerPresetsNames( const QStringList & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "EqualizerPresetsNames" ) ))
        self()->mEqualizerPresetsNames = v;
    }

    /**
      Get List with user equalizer preset names
    */
    static
    QStringList equalizerPresetsNames()
    {
      return self()->mEqualizerPresetsNames;
    }

    /**
      Set List with user presets values
    */
    static
    void setEqualizerPresestValues( const QList<int> & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "EqualizerPresestValues" ) ))
        self()->mEqualizerPresestValues = v;
    }

    /**
      Get List with user presets values
    */
    static
    QList<int> equalizerPresestValues()
    {
      return self()->mEqualizerPresestValues;
    }

    /**
      Set The mode for adjusting playback volume.
    */
    static
    void setReplayGainMode( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ReplayGainMode" ) ))
        self()->mReplayGainMode = v;
    }

    /**
      Get The mode for adjusting playback volume.
    */
    static
    int replayGainMode()
    {
      return self()->mReplayGainMode;
    }

    /**
      Set Amazon locale for cover retrieval
    */
    static
    void setAmazonLocale( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "AmazonLocale" ) ))
        self()->mAmazonLocale = v;
    }

    /**
      Get Amazon locale for cover retrieval
    */
    static
    QString amazonLocale()
    {
      return self()->mAmazonLocale;
    }

    /**
      Set Wikipedia locale for information retrieval
    */
    static
    void setWikipediaLocale( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "WikipediaLocale" ) ))
        self()->mWikipediaLocale = v;
    }

    /**
      Get Wikipedia locale for information retrieval
    */
    static
    QString wikipediaLocale()
    {
      return self()->mWikipediaLocale;
    }

    /**
      Set Use KNotify support
    */
    static
    void setKNotifyEnabled( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "KNotifyEnabled" ) ))
        self()->mKNotifyEnabled = v;
    }

    /**
      Get Use KNotify support
    */
    static
    bool kNotifyEnabled()
    {
      return self()->mKNotifyEnabled;
    }

    /**
      Set Use On-Screen Display
    */
    static
    void setOsdEnabled( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "OsdEnabled" ) ))
        self()->mOsdEnabled = v;
    }

    /**
      Get Use On-Screen Display
    */
    static
    bool osdEnabled()
    {
      return self()->mOsdEnabled;
    }

    /**
      Set Use Growl for notifications
    */
    static
    void setGrowlEnabled( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "GrowlEnabled" ) ))
        self()->mGrowlEnabled = v;
    }

    /**
      Get Use Growl for notifications
    */
    static
    bool growlEnabled()
    {
      return self()->mGrowlEnabled;
    }

    /**
      Set Display the same information in the OSD as in the playlist columns.
    */
    static
    void setOsdUsePlaylistColumns( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "OsdUsePlaylistColumns" ) ))
        self()->mOsdUsePlaylistColumns = v;
    }

    /**
      Get Display the same information in the OSD as in the playlist columns.
    */
    static
    bool osdUsePlaylistColumns()
    {
      return self()->mOsdUsePlaylistColumns;
    }

    /**
      Set The OSD text to show
    */
    static
    void setOsdText( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "OsdText" ) ))
        self()->mOsdText = v;
    }

    /**
      Get The OSD text to show
    */
    static
    QString osdText()
    {
      return self()->mOsdText;
    }

    /**
      Set Translucency Toggle
    */
    static
    void setOsdUseTranslucency( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "OsdUseTranslucency" ) ))
        self()->mOsdUseTranslucency = v;
    }

    /**
      Get Translucency Toggle
    */
    static
    bool osdUseTranslucency()
    {
      return self()->mOsdUseTranslucency;
    }

    /**
      Set Whether to use custom colors for the OSD
    */
    static
    void setOsdUseCustomColors( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "OsdUseCustomColors" ) ))
        self()->mOsdUseCustomColors = v;
    }

    /**
      Get Whether to use custom colors for the OSD
    */
    static
    bool osdUseCustomColors()
    {
      return self()->mOsdUseCustomColors;
    }

    /**
      Set Font color for OSD
    */
    static
    void setOsdTextColor( const QColor & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "OsdTextColor" ) ))
        self()->mOsdTextColor = v;
    }

    /**
      Get Font color for OSD
    */
    static
    QColor osdTextColor()
    {
      return self()->mOsdTextColor;
    }

    /**
      Set Font scaling for OSD
    */
    static
    void setOsdFontScaling( int v )
    {
      if (v < 0)
      {
        kDebug() << "setOsdFontScaling: value " << v << " is less than the minimum value of 0";
        v = 0;
      }

      if (v > 1000)
      {
        kDebug() << "setOsdFontScaling: value " << v << " is greater than the maximum value of 1000";
        v = 1000;
      }

      if (!self()->isImmutable( QString::fromLatin1( "OsdFontScaling" ) ))
        self()->mOsdFontScaling = v;
    }

    /**
      Get Font scaling for OSD
    */
    static
    int osdFontScaling()
    {
      return self()->mOsdFontScaling;
    }

    /**
      Set How many milliseconds the text should be displayed for
    */
    static
    void setOsdDuration( int v )
    {
      if (v < 0)
      {
        kDebug() << "setOsdDuration: value " << v << " is less than the minimum value of 0";
        v = 0;
      }
      if (!self()->isImmutable( QString::fromLatin1( "OsdDuration" ) ))
        self()->mOsdDuration = v;
    }

    /**
      Get How many milliseconds the text should be displayed for
    */
    static
    int osdDuration()
    {
      return self()->mOsdDuration;
    }

    /**
      Set Y position offset
    */
    static
    void setOsdYOffset( int v )
    {
      if (v < 0)
      {
        kDebug() << "setOsdYOffset: value " << v << " is less than the minimum value of 0";
        v = 0;
      }

      if (v > 10000)
      {
        kDebug() << "setOsdYOffset: value " << v << " is greater than the maximum value of 10000";
        v = 10000;
      }

      if (!self()->isImmutable( QString::fromLatin1( "OsdYOffset" ) ))
        self()->mOsdYOffset = v;
    }

    /**
      Get Y position offset
    */
    static
    int osdYOffset()
    {
      return self()->mOsdYOffset;
    }

    /**
      Set OSD screen
    */
    static
    void setOsdScreen( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "OsdScreen" ) ))
        self()->mOsdScreen = v;
    }

    /**
      Get OSD screen
    */
    static
    int osdScreen()
    {
      return self()->mOsdScreen;
    }

    /**
      Set Whether the album cover should be shown
    */
    static
    void setOsdCover( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "OsdCover" ) ))
        self()->mOsdCover = v;
    }

    /**
      Get Whether the album cover should be shown
    */
    static
    bool osdCover()
    {
      return self()->mOsdCover;
    }

    /**
      Set Align OSD to
    */
    static
    void setOsdAlignment( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "OsdAlignment" ) ))
        self()->mOsdAlignment = v;
    }

    /**
      Get Align OSD to
    */
    static
    int osdAlignment()
    {
      return self()->mOsdAlignment;
    }

    /**
      Set Don't show when a fullscreen application is active
    */
    static
    void setOsdHideOnFullscreen( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "OsdHideOnFullscreen" ) ))
        self()->mOsdHideOnFullscreen = v;
    }

    /**
      Get Don't show when a fullscreen application is active
    */
    static
    bool osdHideOnFullscreen()
    {
      return self()->mOsdHideOnFullscreen;
    }

    /**
      Set Resume playback of last played track on startup
    */
    static
    void setResumePlayback( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ResumePlayback" ) ))
        self()->mResumePlayback = v;
    }

    /**
      Get Resume playback of last played track on startup
    */
    static
    bool resumePlayback()
    {
      return self()->mResumePlayback;
    }

    /**
      Set Track URL to resume upon startup
    */
    static
    void setResumeTrack( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ResumeTrack" ) ))
        self()->mResumeTrack = v;
    }

    /**
      Get Track URL to resume upon startup
    */
    static
    QString resumeTrack()
    {
      return self()->mResumeTrack;
    }

    /**
      Set Time to resume at, in milliseconds
    */
    static
    void setResumeTime( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ResumeTime" ) ))
        self()->mResumeTime = v;
    }

    /**
      Get Time to resume at, in milliseconds
    */
    static
    int resumeTime()
    {
      return self()->mResumeTime;
    }

    /**
      Set List of bools describing which browsers are visible, from top to bottom.
    */
    static
    void setVisibleBrowsers( const QList<int> & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "VisibleBrowsers" ) ))
        self()->mVisibleBrowsers = v;
    }

    /**
      Get List of bools describing which browsers are visible, from top to bottom.
    */
    static
    QList<int> visibleBrowsers()
    {
      return self()->mVisibleBrowsers;
    }

    /**
      Set Track playing on last exit. Value is -1 if no track was playing.
    */
    static
    void setLastPlaying( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "LastPlaying" ) ))
        self()->mLastPlaying = v;
    }

    /**
      Get Track playing on last exit. Value is -1 if no track was playing.
    */
    static
    int lastPlaying()
    {
      return self()->mLastPlaying;
    }

    /**
      Set Number (from the top) of the last active browser.
    */
    static
    void setActiveBrowser( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ActiveBrowser" ) ))
        self()->mActiveBrowser = v;
    }

    /**
      Get Number (from the top) of the last active browser.
    */
    static
    int activeBrowser()
    {
      return self()->mActiveBrowser;
    }

    /**
      Set Whether Collections folders are scanned recursively
    */
    static
    void setScanRecursively( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ScanRecursively" ) ))
        self()->mScanRecursively = v;
    }

    /**
      Get Whether Collections folders are scanned recursively
    */
    static
    bool scanRecursively()
    {
      return self()->mScanRecursively;
    }

    /**
      Set Whether Collection folders are rescanned on change
    */
    static
    void setMonitorChanges( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "MonitorChanges" ) ))
        self()->mMonitorChanges = v;
    }

    /**
      Get Whether Collection folders are rescanned on change
    */
    static
    bool monitorChanges()
    {
      return self()->mMonitorChanges;
    }

    /**
      Set Whether meta data changes are written back
    */
    static
    void setWriteBack( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "WriteBack" ) ))
        self()->mWriteBack = v;
    }

    /**
      Get Whether meta data changes are written back
    */
    static
    bool writeBack()
    {
      return self()->mWriteBack;
    }

    /**
      Set Whether changes to the track statistics are written back
    */
    static
    void setWriteBackStatistics( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "WriteBackStatistics" ) ))
        self()->mWriteBackStatistics = v;
    }

    /**
      Get Whether changes to the track statistics are written back
    */
    static
    bool writeBackStatistics()
    {
      return self()->mWriteBackStatistics;
    }

    /**
      Set Whether changes to the album cover are written back
    */
    static
    void setWriteBackCover( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "WriteBackCover" ) ))
        self()->mWriteBackCover = v;
    }

    /**
      Get Whether changes to the album cover are written back
    */
    static
    bool writeBackCover()
    {
      return self()->mWriteBackCover;
    }

    /**
      Set List of folders in the Collection
    */
    static
    void setCollectionFolders( const QStringList & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "CollectionFolders" ) ))
        self()->mCollectionFolders = v;
    }

    /**
      Get List of folders in the Collection
    */
    static
    QStringList collectionFolders()
    {
      return self()->mCollectionFolders;
    }

    /**
      Set Whether track numbers are shown in the collection browser.
    */
    static
    void setShowTrackNumbers( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ShowTrackNumbers" ) ))
        self()->mShowTrackNumbers = v;
    }

    /**
      Get Whether track numbers are shown in the collection browser.
    */
    static
    bool showTrackNumbers()
    {
      return self()->mShowTrackNumbers;
    }

    /**
      Set Whether years are shown in the collection browser.
    */
    static
    void setShowYears( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ShowYears" ) ))
        self()->mShowYears = v;
    }

    /**
      Get Whether years are shown in the collection browser.
    */
    static
    bool showYears()
    {
      return self()->mShowYears;
    }

    /**
      Set Whether to use Mozilla's Character Set Detector to try to guess ID3 tag encodings.
    */
    static
    void setUseCharsetDetector( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "UseCharsetDetector" ) ))
        self()->mUseCharsetDetector = v;
    }

    /**
      Get Whether to use Mozilla's Character Set Detector to try to guess ID3 tag encodings.
    */
    static
    bool useCharsetDetector()
    {
      return self()->mUseCharsetDetector;
    }

    /**
      Set Submit played songs
    */
    static
    void setSubmitPlayedSongs( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "SubmitPlayedSongs" ) ))
        self()->mSubmitPlayedSongs = v;
    }

    /**
      Get Submit played songs
    */
    static
    bool submitPlayedSongs()
    {
      return self()->mSubmitPlayedSongs;
    }

    /**
      Set Username
    */
    static
    void setScrobblerUsername( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ScrobblerUsername" ) ))
        self()->mScrobblerUsername = v;
    }

    /**
      Get Username
    */
    static
    QString scrobblerUsername()
    {
      return self()->mScrobblerUsername;
    }

    /**
      Set Password
    */
    static
    void setScrobblerPassword( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ScrobblerPassword" ) ))
        self()->mScrobblerPassword = v;
    }

    /**
      Get Password
    */
    static
    QString scrobblerPassword()
    {
      return self()->mScrobblerPassword;
    }

    /**
      Set Send composer data
    */
    static
    void setScrobbleComposer( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ScrobbleComposer" ) ))
        self()->mScrobbleComposer = v;
    }

    /**
      Get Send composer data
    */
    static
    bool scrobbleComposer()
    {
      return self()->mScrobbleComposer;
    }

    /**
      Set Retrieve similar artists
    */
    static
    void setRetrieveSimilarArtists( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "RetrieveSimilarArtists" ) ))
        self()->mRetrieveSimilarArtists = v;
    }

    /**
      Get Retrieve similar artists
    */
    static
    bool retrieveSimilarArtists()
    {
      return self()->mRetrieveSimilarArtists;
    }

    /**
      Set Device type
    */
    static
    void setDeviceType( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "DeviceType" ) ))
        self()->mDeviceType = v;
    }

    /**
      Get Device type
    */
    static
    QString deviceType()
    {
      return self()->mDeviceType;
    }

    /**
      Set Mount point
    */
    static
    void setMountPoint( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "MountPoint" ) ))
        self()->mMountPoint = v;
    }

    /**
      Get Mount point
    */
    static
    QString mountPoint()
    {
      return self()->mMountPoint;
    }

    /**
      Set Mount command
    */
    static
    void setMountCommand( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "MountCommand" ) ))
        self()->mMountCommand = v;
    }

    /**
      Get Mount command
    */
    static
    QString mountCommand()
    {
      return self()->mMountCommand;
    }

    /**
      Set UmountCommand
    */
    static
    void setUmountCommand( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "UmountCommand" ) ))
        self()->mUmountCommand = v;
    }

    /**
      Get UmountCommand
    */
    static
    QString umountCommand()
    {
      return self()->mUmountCommand;
    }

    /**
      Set Auto delete podcasts
    */
    static
    void setAutoDeletePodcasts( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "AutoDeletePodcasts" ) ))
        self()->mAutoDeletePodcasts = v;
    }

    /**
      Get Auto delete podcasts
    */
    static
    bool autoDeletePodcasts()
    {
      return self()->mAutoDeletePodcasts;
    }

    /**
      Set Sync stats
    */
    static
    void setSyncStats( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "SyncStats" ) ))
        self()->mSyncStats = v;
    }

    /**
      Get Sync stats
    */
    static
    bool syncStats()
    {
      return self()->mSyncStats;
    }

    /**
      Set Manually added servers
    */
    static
    void setManuallyAddedServers( const QStringList & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ManuallyAddedServers" ) ))
        self()->mManuallyAddedServers = v;
    }

    /**
      Get Manually added servers
    */
    static
    QStringList manuallyAddedServers()
    {
      return self()->mManuallyAddedServers;
    }

    /**
      Set Server passwords
    */
    static
    void setServerPasswords( const QStringList & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ServerPasswords" ) ))
        self()->mServerPasswords = v;
    }

    /**
      Get Server passwords
    */
    static
    QStringList serverPasswords()
    {
      return self()->mServerPasswords;
    }

    /**
      Set Include track names in matching
    */
    static
    void setMatchTrack( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "MatchTrack" ) ))
        self()->mMatchTrack = v;
    }

    /**
      Get Include track names in matching
    */
    static
    bool matchTrack()
    {
      return self()->mMatchTrack;
    }

    /**
      Set Include album names in matching
    */
    static
    void setMatchAlbum( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "MatchAlbum" ) ))
        self()->mMatchAlbum = v;
    }

    /**
      Get Include album names in matching
    */
    static
    bool matchAlbum()
    {
      return self()->mMatchAlbum;
    }

    /**
      Set Include artist names in matching
    */
    static
    void setMatchArtist( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "MatchArtist" ) ))
        self()->mMatchArtist = v;
    }

    /**
      Get Include artist names in matching
    */
    static
    bool matchArtist()
    {
      return self()->mMatchArtist;
    }

    /**
      Set Include genre names in matching
    */
    static
    void setMatchGenre( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "MatchGenre" ) ))
        self()->mMatchGenre = v;
    }

    /**
      Get Include genre names in matching
    */
    static
    bool matchGenre()
    {
      return self()->mMatchGenre;
    }

    /**
      Set Include composer names in matching
    */
    static
    void setMatchComposer( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "MatchComposer" ) ))
        self()->mMatchComposer = v;
    }

    /**
      Get Include composer names in matching
    */
    static
    bool matchComposer()
    {
      return self()->mMatchComposer;
    }

    /**
      Set Include years in matching
    */
    static
    void setMatchYear( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "MatchYear" ) ))
        self()->mMatchYear = v;
    }

    /**
      Get Include years in matching
    */
    static
    bool matchYear()
    {
      return self()->mMatchYear;
    }

    /**
      Set Include years in matching
    */
    static
    void setShowOnlyMatches( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ShowOnlyMatches" ) ))
        self()->mShowOnlyMatches = v;
    }

    /**
      Get Include years in matching
    */
    static
    bool showOnlyMatches()
    {
      return self()->mShowOnlyMatches;
    }

    /**
      Set The name of the layout that will be loaded on startup
    */
    static
    void setCurrentLayout( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "CurrentLayout" ) ))
        self()->mCurrentLayout = v;
    }

    /**
      Get The name of the layout that will be loaded on startup
    */
    static
    QString currentLayout()
    {
      return self()->mCurrentLayout;
    }

    /**
      Set Whether Amarok uses its own internal database, as opposed to an external engine.
    */
    static
    void setUseServer( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "UseServer" ) ))
        self()->mUseServer = v;
    }

    /**
      Get Whether Amarok uses its own internal database, as opposed to an external engine.
    */
    static
    bool useServer()
    {
      return self()->mUseServer;
    }

    /**
      Set The hostname of the external server to connect to.
    */
    static
    void setHost( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "Host" ) ))
        self()->mHost = v;
    }

    /**
      Get The hostname of the external server to connect to.
    */
    static
    QString host()
    {
      return self()->mHost;
    }

    /**
      Set Which server port to connect to the database engine.
    */
    static
    void setPort( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "Port" ) ))
        self()->mPort = v;
    }

    /**
      Get Which server port to connect to the database engine.
    */
    static
    int port()
    {
      return self()->mPort;
    }

    /**
      Set The name of the database Amarok will use. The user should have sufficient access permissions.
    */
    static
    void setDatabase( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "Database" ) ))
        self()->mDatabase = v;
    }

    /**
      Get The name of the database Amarok will use. The user should have sufficient access permissions.
    */
    static
    QString database()
    {
      return self()->mDatabase;
    }

    /**
      Set Username used to access the external database.
    */
    static
    void setUser( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "User" ) ))
        self()->mUser = v;
    }

    /**
      Get Username used to access the external database.
    */
    static
    QString user()
    {
      return self()->mUser;
    }

    /**
      Set Password for the external database user.
    */
    static
    void setPassword( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "Password" ) ))
        self()->mPassword = v;
    }

    /**
      Get Password for the external database user.
    */
    static
    QString password()
    {
      return self()->mPassword;
    }

    /**
      Set Keeps a running count to know when run a CHECK.
    */
    static
    void setCheckCount( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "CheckCount" ) ))
        self()->mCheckCount = v;
    }

    /**
      Get Keeps a running count to know when run a CHECK.
    */
    static
    int checkCount()
    {
      return self()->mCheckCount;
    }

    /**
      Set Whether to automatically update built-in scripts
    */
    static
    void setAutoUpdateScripts( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "AutoUpdateScripts" ) ))
        self()->mAutoUpdateScripts = v;
    }

    /**
      Get Whether to automatically update built-in scripts
    */
    static
    bool autoUpdateScripts()
    {
      return self()->mAutoUpdateScripts;
    }

    /**
      Set Whether to show the moodbar of the current track, if available, in the progress slider
    */
    static
    void setShowMoodbarInSlider( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ShowMoodbarInSlider" ) ))
        self()->mShowMoodbarInSlider = v;
    }

    /**
      Get Whether to show the moodbar of the current track, if available, in the progress slider
    */
    static
    bool showMoodbarInSlider()
    {
      return self()->mShowMoodbarInSlider;
    }

    /**
      Set The style to use when painting the moodbar
    */
    static
    void setMoodbarPaintStyle( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "MoodbarPaintStyle" ) ))
        self()->mMoodbarPaintStyle = v;
    }

    /**
      Get The style to use when painting the moodbar
    */
    static
    int moodbarPaintStyle()
    {
      return self()->mMoodbarPaintStyle;
    }

    /**
      Set Quality factor for Automated Playlist Generator
    */
    static
    void setQualityFactorAPG( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "qualityFactorAPG" ) ))
        self()->mQualityFactorAPG = v;
    }

    /**
      Get Quality factor for Automated Playlist Generator
    */
    static
    int qualityFactorAPG()
    {
      return self()->mQualityFactorAPG;
    }

  protected:
    AmarokConfig();
    friend class AmarokConfigHelper;


    // General Options
    bool mLeftTimeDisplayEnabled;
    bool mLeftTimeDisplayRemaining;
    int mFavorTracks;
    int mTrackProgression;
    bool mDynamicMode;
    bool mDynamicDuplicates;
    int mPreviousTracks;
    int mUpcomingTracks;
    bool mShowTrayIcon;
    bool mHideContextView;
    bool mAnimateTrayIcon;
    int mTrackDelayLength;
    int mUndoLevels;
    bool mShowSplashScreen;
    bool mRelativePlaylist;
    QString mExternalBrowser;
    bool mAutoGetCoverArt;
    bool mShowBrowserBackgroundImage;
    bool mAutoScrollPlaylist;
    bool mShowAlbumArt;
    bool mLockLayout;
    bool mPlayFirstRunJingle;
    bool mAnimateAppletCollapse;

    // OrganizeCollectionDialog
    bool mOverwriteFiles;
    bool mGroupByFiletype;
    bool mGroupArtists;
    bool mIgnoreThe;
    bool mReplaceSpace;
    bool mCoverIcons;
    QString mOrganizeDirectory;
    bool mVfatCompatible;
    bool mAsciiOnly;
    bool mUseCustomScheme;
    QString mCustomScheme;
    QString mReplacementRegexp;
    QString mReplacementString;
    QString mMode;
    QStringList mFormatPresets;

    // Playback
    int mMasterVolume;
    bool mMuteState;
    bool mCrossfade;
    int mCrossfadeLength;
    int mCrossfadeType;
    bool mFadeout;
    int mFadeoutLength;
    bool mFadeoutOnExit;
    int mEqualizerMode;
    QList<int> mEqualizerGains;
    QStringList mEqualizerPresetsNames;
    QList<int> mEqualizerPresestValues;
    int mReplayGainMode;

    // Cover Manager
    QString mAmazonLocale;

    // Wikipedia
    QString mWikipediaLocale;

    // KNotify
    bool mKNotifyEnabled;

    // OSD
    bool mOsdEnabled;
    bool mGrowlEnabled;
    bool mOsdUsePlaylistColumns;
    QString mOsdText;
    bool mOsdUseTranslucency;
    bool mOsdUseCustomColors;
    QColor mOsdTextColor;
    int mOsdFontScaling;
    int mOsdDuration;
    int mOsdYOffset;
    int mOsdScreen;
    bool mOsdCover;
    int mOsdAlignment;
    bool mOsdHideOnFullscreen;

    // Session
    bool mResumePlayback;
    QString mResumeTrack;
    int mResumeTime;
    QList<int> mVisibleBrowsers;
    int mLastPlaying;
    int mActiveBrowser;

    // Collection
    bool mScanRecursively;
    bool mMonitorChanges;
    bool mWriteBack;
    bool mWriteBackStatistics;
    bool mWriteBackCover;
    QStringList mCollectionFolders;
    bool mShowTrackNumbers;
    bool mShowYears;
    bool mUseCharsetDetector;

    // Scrobbler
    bool mSubmitPlayedSongs;
    QString mScrobblerUsername;
    QString mScrobblerPassword;
    bool mScrobbleComposer;
    bool mRetrieveSimilarArtists;

    // MediaDevice
    QString mDeviceType;
    QString mMountPoint;
    QString mMountCommand;
    QString mUmountCommand;
    bool mAutoDeletePodcasts;
    bool mSyncStats;

    // Daap
    QStringList mManuallyAddedServers;
    QStringList mServerPasswords;

    // Playlist Search
    bool mMatchTrack;
    bool mMatchAlbum;
    bool mMatchArtist;
    bool mMatchGenre;
    bool mMatchComposer;
    bool mMatchYear;
    bool mShowOnlyMatches;

    // Playlist Layout
    QString mCurrentLayout;

    // MySQL
    bool mUseServer;
    QString mHost;
    int mPort;
    QString mDatabase;
    QString mUser;
    QString mPassword;
    int mCheckCount;

    // ScriptManager
    bool mAutoUpdateScripts;

    // Moodbar
    bool mShowMoodbarInSlider;
    int mMoodbarPaintStyle;

    // PlaylistGenerator
    int mQualityFactorAPG;

  private:
};

#endif

